> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensormesh.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Tos

> Marks a user as having accepted terms of service.



## OpenAPI

````yaml /tensormesh-api/specs/user/v1/user_service.openapi.json post /v1/users/accept-tos
openapi: 3.0.3
info:
  title: Tensormesh Control Plane API (user/v1/user_service)
  version: 0.1.0
  description: >-
    Authentication: Authorization: Bearer <access_token> (obtain via tm auth
    login).
servers:
  - url: https://api.tensormesh.ai
security:
  - BearerAuth: []
tags:
  - name: UserService
paths:
  /v1/users/accept-tos:
    post:
      tags:
        - UserService
      summary: Accept Tos
      description: Marks a user as having accepted terms of service.
      operationId: UserService_AcceptTos
      parameters:
        - name: userId
          description: The unique ID of the user accepting terms.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1AcceptTosResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1AcceptTosResponse:
      type: object
      properties:
        user:
          $ref: '#/components/schemas/v1User'
      description: AcceptTosResponse is the response after user terms acceptance.
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
          description: |-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any

            user-facing error message should be localized and sent in the

            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized

            by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of

            message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for

        different programming environments, including REST APIs and RPC APIs. It
        is

        used by [gRPC](https://github.com/grpc). Each `Status` message contains

        three pieces of data: error code, error message, and error details.


        You can find out more about this error model and how to work with it in
        the

        [API Design Guide](https://cloud.google.com/apis/design/errors).
    v1User:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the user (UUID v4).
        firstName:
          type: string
          description: The first name of the user.
        lastName:
          type: string
          description: The last name of the user.
        displayName:
          type: string
          description: The display name of the user.
        userEmail:
          type: string
          description: The email address of the user.
        authProvider:
          $ref: '#/components/schemas/v1AuthProvider'
        authProviderId:
          type: string
          description: The unique ID from the authentication provider.
        avatarUrl:
          type: string
          description: URL to the user's avatar image.
        stripeCusId:
          type: string
          description: Stripe customer ID for billing.
        userRole:
          $ref: '#/components/schemas/v1UserRole'
        apiKey:
          type: string
          description: >-
            Deprecated: API keys are now managed via dedicated API key
            endpoints.
        company:
          type: string
          description: The company the user is associated with.
        tosAcceptedAt:
          type: string
          format: date-time
          description: Timestamp when the user accepted terms of service.
        surveyCompletedAt:
          type: string
          format: date-time
          description: Timestamp when the user completed the survey.
      description: User represents a user profile in the system.
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    v1AuthProvider:
      type: string
      enum:
        - AUTH_PROVIDER_UNSPECIFIED
        - AUTH_PROVIDER_GOOGLE
        - AUTH_PROVIDER_GITHUB
      default: AUTH_PROVIDER_UNSPECIFIED
      description: |-
        AuthProvider defines the authentication providers available.

         - AUTH_PROVIDER_UNSPECIFIED: Unspecified authentication provider.
         - AUTH_PROVIDER_GOOGLE: Google authentication provider.
         - AUTH_PROVIDER_GITHUB: GitHub authentication provider.
    v1UserRole:
      type: string
      enum:
        - USER_ROLE_UNSPECIFIED
        - USER_ROLE_USER
        - USER_ROLE_ADMIN
        - USER_ROLE_SUPER_ADMIN
      default: USER_ROLE_UNSPECIFIED
      description: |-
        UserRole defines the roles a user can have within the system.

         - USER_ROLE_UNSPECIFIED: Unspecified user role.
         - USER_ROLE_USER: Standard user role.
         - USER_ROLE_ADMIN: Administrator user role.
         - USER_ROLE_SUPER_ADMIN: Super administrator user role with highest privileges.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer authentication using an access token. Format: Bearer
        <access_token>

````